## extra-cmake-modules 5.18.0

=== CMakeLists.txt ===
#=============================================================================
# Copyright 2006-2013 Alex Neundorf <neundorf@kde.org>
# Copyright 2014-2015 Alex Merry <alex.merry@kde.org>
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file COPYING-CMAKE-SCRIPTS for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

#
# Preliminary setup
#

set(VERSION "5.18.0") # handled by release scripts

if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
    project(ECM
        VERSION "${VERSION}"
        LANGUAGES NONE
    )
else()
    project(ECM NONE)
    include("${CMAKE_SOURCE_DIR}/modules/ECMSetupVersion.cmake")
    ecm_setup_version(
        "${VERSION}"
        VARIABLE_PREFIX ECM
    )
endif()


#
# Includes
#

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(FeatureSummary)


#
# Installation paths
#

set(SHARE_INSTALL_DIR share
    CACHE
    PATH
    "read-only architecture-independent data"
)

set(CMAKECONFIG_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/cmake/)

set(FIND_MODULES_INSTALL_DIR      ${SHARE_INSTALL_DIR}/ECM/find-modules/)
set(KDE_MODULES_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/kde-modules/)
set(MODULES_INSTALL_DIR           ${SHARE_INSTALL_DIR}/ECM/modules/)
set(TOOLCHAIN_MODULES_INSTALL_DIR ${SHARE_INSTALL_DIR}/ECM/toolchain/)

set(DOC_INSTALL_DIR ${SHARE_INSTALL_DIR}/doc/ECM
    CACHE
    PATH
    "HTML and QtHelp documentation"
)
set(MAN_INSTALL_DIR ${SHARE_INSTALL_DIR}/man
    CACHE
    PATH
    "man pages"
)


#
# Documentation
#

add_subdirectory(docs)


#
# Tests
#

option(BUILD_TESTING "Build automated tests." ON)
add_feature_info(BUILD_TESTING BUILD_TESTING "Build automated tests.")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


#
# Install modules
#

file(GLOB installModuleFiles ${CMAKE_SOURCE_DIR}/modules/*[^~])
install(FILES ${installModuleFiles} DESTINATION ${MODULES_INSTALL_DIR})

file(GLOB installKdeModuleFiles ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*[^~])
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])
install(FILES ${installToolchainModuleFiles} DESTINATION ${TOOLCHAIN_MODULES_INSTALL_DIR})


#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    ECMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
    INSTALL_DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS
        FIND_MODULES_INSTALL_DIR
        KDE_MODULES_INSTALL_DIR
        MODULES_INSTALL_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
)


#
# Packaging
#

set(CPACK_PACKAGE_NAME extra-cmake-modules)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SYSTEM_NAME "generic")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)

include(CPack)


#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== docs/CMakeLists.txt ===
#=============================================================================
# Copyright 2000-2013 Kitware, Inc.
# Copyright 2014-2015 Alex Merry <alex.merry@kde.org>
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file COPYING-CMAKE-SCRIPTS for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================

include(CMakeDependentOption)

find_package(Sphinx 1.2 MODULE)
set_package_properties(
    Sphinx
    PROPERTIES
        URL "http://sphinx-doc.org/"
        DESCRIPTION "Tool to generate documentation."
        TYPE OPTIONAL
        PURPOSE "Required to build documentation for Extra CMake Modules."
)

find_package(QCollectionGenerator MODULE)
set_package_properties(
    QCollectionGenerator
    PROPERTIES
        URL "http://www.qt.io/"
        DESCRIPTION "Qt help collection generator."
        TYPE OPTIONAL
        PURPOSE "Required to build Extra CMake Modules documentation in Qt Help format."
)

cmake_dependent_option(
    BUILD_HTML_DOCS "Build html help with Sphinx" ON
    "Sphinx_FOUND" OFF
)
add_feature_info(BUILD_HTML_DOCS BUILD_HTML_DOCS "Generate HTML documentation for installed modules.")

cmake_dependent_option(
    BUILD_MAN_DOCS "Build man pages with Sphinx" ON
    "Sphinx_FOUND" OFF
)
add_feature_info(BUILD_MAN_DOCS BUILD_MAN_DOCS "Generate man page documentation for installed modules.")

cmake_dependent_option(
    BUILD_QTHELP_DOCS "Build Qt help with Sphinx" OFF
    "Sphinx_FOUND;QCollectionGenerator_FOUND" OFF
)
add_feature_info(BUILD_QTHELP_DOCS BUILD_QTHELP_DOCS "Generate QtHelp documentation for installed modules.")


set(doc_formats "")
if(BUILD_HTML_DOCS)
    list(APPEND doc_formats html)
endif()
if(BUILD_MAN_DOCS)
    list(APPEND doc_formats man)
endif()
if(BUILD_QTHELP_DOCS)
    list(APPEND doc_formats qthelp)
    set(qthelp_extra_commands
        COMMAND
            QCollectionGenerator::Generator
            ${CMAKE_CURRENT_BINARY_DIR}/qthelp/ExtraCMakeModules.qhcp
    )
endif()

if(NOT doc_formats)
    return()
endif()

if (Sphinx_VERSION VERSION_LESS 1.3)
    set(sphinx_theme default)
else()
    set(sphinx_theme classic)
endif()
configure_file(sphinx/conf.py.in conf.py @ONLY)
configure_file(sphinx/ecm.css.in static/ecm.css)


set(doc_format_outputs "")
set(doc_format_last "")
foreach(format ${doc_formats})
    set(doc_format_output "doc_format_${format}")
    set(doc_format_log "build-${format}.log")
    add_custom_command(
        OUTPUT ${doc_format_output}
        COMMAND
            Sphinx::Build
            -c ${CMAKE_CURRENT_BINARY_DIR}
            -d ${CMAKE_CURRENT_BINARY_DIR}/doctrees
            -b ${format}
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}/${format}
            > ${doc_format_log} # log stdout, pass stderr
        ${${format}_extra_commands}
        DEPENDS ${doc_format_last}
        COMMENT "sphinx-build ${format}: see ${CMAKE_CURRENT_BINARY_DIR}/${doc_format_log}"
        VERBATIM
    )
    set_property(SOURCE ${doc_format_output} PROPERTY SYMBOLIC 1)
    list(APPEND doc_format_outputs ${doc_format_output})
    set(doc_format_last ${doc_format_output})
endforeach()

add_custom_target(documentation ALL DEPENDS ${doc_format_outputs})

if(BUILD_MAN_DOCS)
    file(GLOB man_rst RELATIVE ${ECM_SOURCE_DIR}/docs/manual
        ${ECM_SOURCE_DIR}/docs/manual/*.[1-9].rst)
    foreach(m ${man_rst})
        if("x${m}" MATCHES "^x(.+)\\.([1-9])\\.rst$")
            set(name "${CMAKE_MATCH_1}")
            set(sec "${CMAKE_MATCH_2}")
            install(
                FILES ${CMAKE_CURRENT_BINARY_DIR}/man/${name}.${sec}
                DESTINATION ${MAN_INSTALL_DIR}/man${sec}
            )
        endif()
    endforeach()
endif()
if(BUILD_HTML_DOCS)
    install(
        DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        DESTINATION ${DOC_INSTALL_DIR}
        PATTERN .buildinfo EXCLUDE
        PATTERN objects.inv EXCLUDE
    )
endif()
if(BUILD_QTHELP_DOCS)
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/qthelp/ExtraCMakeModules.qch
        DESTINATION ${DOC_INSTALL_DIR}
    )
endif()

=== tests/CMakeLists.txt ===
#=============================================================================
# Copyright 2011      Alex Neundorf <neundorf@kde.org>
# Copyright 2014-2015 Alex Merry <alex.merry@kde.org>
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file COPYING-CMAKE-SCRIPTS for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================

# We need to set a language to find CMake packages installed in
# architecture-dependent locations (like /usr/lib64).
# We only set this for the tests, making sure it does not interfere
# with other files (as ECM itself is architecture-independent).
project(ECMTests C)

find_package(Qt5LinguistTools CONFIG)
set_package_properties(
    Qt5LinguistTools
    PROPERTIES
        URL "http://www.qt.io/"
        DESCRIPTION "Qt5 linguist tools."
        TYPE OPTIONAL
        PURPOSE "Required to run tests for the ECMPoQmTools module."
)

find_package(Qt5Core CONFIG)
set_package_properties(
    Qt5Core
    PROPERTIES
        URL "http://www.qt.io/"
        DESCRIPTION "Qt5 core library."
        TYPE OPTIONAL
        PURPOSE "Required to run tests for the ECMQtDeclareLoggingCategory module, and for some tests of the KDEInstallDirs module."
)

add_subdirectory(ECMAddTests)
add_subdirectory(ECMGenerateHeadersTest)
add_subdirectory(ECMSetupVersionTest)
add_subdirectory(ECMGeneratePkgConfigFile)

# a macro for tests that have a simple format where the name matches the
# directory and project
macro(add_test_variant NAME BASE COMMAND)
    string(REPLACE "." "/" src_dir "${BASE}")
    string(REPLACE "." "/" build_dir "${NAME}")
    string(REGEX REPLACE "[^.]*\\." "" proj "${NAME}")
    add_test(${NAME} ${CMAKE_CTEST_COMMAND}
        --build-and-test
        "${CMAKE_CURRENT_SOURCE_DIR}/${src_dir}"
        "${CMAKE_CURRENT_BINARY_DIR}/${build_dir}"
        --build-two-config
        --build-generator ${CMAKE_GENERATOR}
        --build-makeprogram ${CMAKE_MAKE_PROGRAM}
        --build-project ${proj}
        ${${NAME}_EXTRA_OPTIONS}
        --test-command ${COMMAND} ${ARGN})
endmacro()
macro(add_test_macro NAME)
    add_test_variant("${NAME}" "${NAME}" ${ARGN})
endmacro()

add_test_macro(ExecuteCoreModules dummy)
add_test_macro(ExecuteKDEModules dummy)

add_test_macro(KDEInstallDirsTest.relative_or_absolute dummy)
add_test_variant(KDEInstallDirsTest.vars_in_sync_no_args
                 KDEInstallDirsTest.vars_in_sync dummy)
add_test_macro(KDEInstallDirsTest.not_cache_variable dummy)

set(KDEInstallDirsTest.vars_in_sync_kde_arg_EXTRA_OPTIONS
    --build-options -DKDE_INSTALL_BINDIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_kde_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.vars_in_sync_cmake_arg_EXTRA_OPTIONS
    --build-options -DCMAKE_INSTALL_BINDIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_cmake_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.vars_in_sync_oldstyle_arg_EXTRA_OPTIONS
    --build-options -DBIN_INSTALL_DIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_oldstyle_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.relative_or_absolute_usr_EXTRA_OPTIONS
    --build-options -DCMAKE_INSTALL_PREFIX=/usr
                    -DAUTOSTARTDIR_should_be_absolute=TRUE
                    -DCONFDIR_should_be_absolute=TRUE
                    -DSYSCONFDIR_should_be_absolute=TRUE
    )
add_test_variant(KDEInstallDirsTest.relative_or_absolute_usr
                 KDEInstallDirsTest.relative_or_absolute dummy)

if (TARGET Qt5::qmake)
    set(KDEInstallDirsTest.relative_or_absolute_qt_EXTRA_OPTIONS
        --build-options -DKDE_INSTALL_USE_QT_SYS_PATHS=TRUE
                        -DPLUGINDIR_should_be_absolute=TRUE
                        -DQMLDIR_should_be_absolute=TRUE
                        -DQTPLUGINDIR_should_be_absolute=TRUE
                        -DQTQUICKIMPORTSDIR_should_be_absolute=TRUE
        )
    add_test_variant(KDEInstallDirsTest.relative_or_absolute_qt
                     KDEInstallDirsTest.relative_or_absolute dummy)
endif ()
if (Qt5Core_FOUND)
    add_test_macro(ECMQtDeclareLoggingCategoryTest testmain)
endif()

add_test_macro(FindModules dummy)
add_test_macro(UseFindModules dummy)

set(ECMInstallIconsTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMInstallIconsTest/InstallDirectory"
)
add_test_macro(ECMInstallIconsTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMInstallIconsTest/check_tree.cmake"
)

set(KDEPackageAppTemplatesTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/KDEPackageAppTemplatesTest/InstallDirectory"
)
add_test_macro(KDEPackageAppTemplatesTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/KDEPackageAppTemplatesTest/check.cmake"
)

if (Qt5Core_FOUND AND Qt5LinguistTools_FOUND)
    set(ECMPoQmToolsTest_EXTRA_OPTIONS
        --build-target install
        --build-options
            "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMPoQmToolsTest/InstallDirectory"
    )
    add_test_macro(ECMPoQmToolsTest
        ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMPoQmToolsTest/check.cmake"
    )
endif()

=== attic/modules-tests/Flac/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../TestFindPackage.cmake")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../modules" )

test_find_package(Flac  FLAC  INCLUDE_DIR LIBRARIES OGGFLAC_LIBRARIES)

=== tests/ECMPoQmToolsTest/subdir/CMakeLists.txt ===
# QMLOADER_FILES comes from parent CMakeLists.txt.  This is not something we
# want people to do, but it's unfortunately something projects have done and we
# need to keep them building
add_executable(tr_test_subdir ../tr_test.cpp ${QMLOADER_FILES})
target_link_libraries(tr_test_subdir PRIVATE Qt5::Core)

## extra-cmake-modules 1.0.0

=== debian/changelog ===
extra-cmake-modules (1.0.0-1) unstable; urgency=medium

  * Prepare the debian version based on the kubuntu package.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Jul 2014 10:30:20 +0200

extra-cmake-modules (1.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

  [ Scarlett Clark ]
  * Update watch file to stable

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 08 Jul 2014 16:02:12 +0200

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jonathan Riddell <jriddell@ubuntu.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               pkg-kde-tools,
               qt5-default,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/extra-cmake-modules.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]*)/extra-cmake-modules-([\d.]*)\.tar\.xz

## extra-cmake-modules 1.3.0

=== debian/changelog ===
extra-cmake-modules (1.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release LP: #1378243
  * Do not build depend on qt5-default, we only need qtbase5-dev

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 30 Sep 2014 14:15:28 +0200

extra-cmake-modules (1.3.0~git20140917-0ubuntu1) utopic; urgency=medium

  * Git snapshot needed to allow qmldir to follow qt_sys_path.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 04:01:18 -0700

extra-cmake-modules (1.2.1-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release
  * Build-dep on pkg-kde-tools >= 0.15.15ubuntu1
  * Remove kde-install-dirs.diff better detection upstream by Rohan

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2014 21:17:06 +0000

extra-cmake-modules (1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Sun, 03 Aug 2014 18:35:54 -0700

extra-cmake-modules (1.0.0-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit d5582bb3b1d3132dab8f8486729f62c8b8530da3 to use
    a multiarch library directory on kFreeBSD and Hurd too; patch
    upstream_Check-the-libdir-also-on-kFreeBSD-and-Hurd.patch.

 -- Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 19 Jul 2014 16:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: extra-cmake-modules
 Section: libs
 Priority: optional
-Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Jonathan Riddell <jriddell@ubuntu.com>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                pkg-kde-tools,
-               qt5-default,
                qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/extra-cmake-modules-(.*)\.tar\.xz

## extra-cmake-modules 5.9.0

=== debian/changelog ===
extra-cmake-modules (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:16:28 +0200

extra-cmake-modules (1.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 14:06:33 +0100

extra-cmake-modules (1.7.0-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_qtwaylandscanner_binary.diff to find qtwaylandscanner

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Feb 2015 14:42:55 +0100

extra-cmake-modules (1.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 09 Feb 2015 10:26:13 +0100

extra-cmake-modules (1.6.1-1) experimental; urgency=medium

  * New upstream release (1.6.1).
  * Bump Standards-Version to 3.9.6, no changes needed
  * Change debian/* license to an upstream compatible license.
  * Update copyright information.
  * Bump pkg-kde-tools build-dep to use the experimental version.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Jan 2015 15:11:18 +0100

extra-cmake-modules (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jan 2015 12:48:26 +0100

extra-cmake-modules (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Dec 2014 09:37:07 +0100

extra-cmake-modules (1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix changelog.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 04 Nov 2014 19:49:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               pkg-kde-tools,
+               pkg-kde-tools (>= 0.15.16~),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/extra-cmake-modules.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/extra-cmake-modules.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/extra-cmake-modules.git
 
 Package: extra-cmake-modules

## extra-cmake-modules 5.15.0

=== debian/changelog ===
extra-cmake-modules (5.15.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * cherry-pick debian/rules change from Debian to not run tests, unknown
    failure in powerpc

  [ Scarlett Clark ]
  * Vivid backport.

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:41:39 +0100

extra-cmake-modules (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:08:43 +0100

extra-cmake-modules (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:46:25 +0200

extra-cmake-modules (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:22:44 +0200

extra-cmake-modules (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Jun 2015 21:42:38 +0200

extra-cmake-modules (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 08 Jul 2015 08:00:56 -0700

extra-cmake-modules (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:31:55 +0200

extra-cmake-modules (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:06 +0200

extra-cmake-modules (1.8.0-1) experimental; urgency=medium

  * New upstream release (1.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 12:06:02 +0100

extra-cmake-modules (1.7.0-1) experimental; urgency=medium

  * New upstream release (1.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Feb 2015 14:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                pkg-kde-tools (>= 0.15.16~),
-               qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/extra-cmake-modules.git
@@ -16,6 +16,7 @@
 Package: extra-cmake-modules
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## extra-cmake-modules 5.18.0

=== debian/changelog ===
extra-cmake-modules (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:17:28 +0100

extra-cmake-modules (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:28 +0100

extra-cmake-modules (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:34 +0200

extra-cmake-modules (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 20:19:45 -0700

extra-cmake-modules (5.14.0-2) unstable; urgency=medium

  * Move auto test to autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Sep 2015 12:22:28 +0200

extra-cmake-modules (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:26 +0200

extra-cmake-modules (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Aug 2015 14:56:17 +0200

extra-cmake-modules (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: extra-cmake-modules
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
+               libjs-jquery,
+               libjs-underscore,
                pkg-kde-tools (>= 0.15.16~),
+               python3-sphinx,
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_install:
	$(overridden_command)
	rm debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/jquery.js
	rm debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/underscore.js

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/extra-cmake-modules-(.*)\.tar\.xz

## extra-cmake-modules 5.26.0

=== debian/changelog ===
extra-cmake-modules (5.26.0-0ubuntu2) yakkety; urgency=medium

  * Import force_relative_paths.diff from Debian to fix autopkgtests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 04 Oct 2016 18:43:32 +0100

extra-cmake-modules (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:40:12 +0100

extra-cmake-modules (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:36:30 +0000

extra-cmake-modules (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:06:45 +0200

extra-cmake-modules (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Bump to latest. 
  * Add missing dep for qt help. 
  * Seems BUILD_QTHELP_DOCS is OFF by default, Turning ON
    in rules, with CONFIGURE_FLAGS. This will hopefully silence
    the missing deps check in CI. 
  * Fix the CONFIGURE_FLAGS to instead use the proper
    DEB_CMAKE_CUSTOM_FLAGS configure override. 
  * Fix the switch to cmake proper. 
  * Merge to backport. 
  * Use qtchooser to fix an issue presented with enabling qthelp
    qcollectiongenerator: could not find a Qt installation of '' 
  * QThelp wants sqlite. 
  * Try libqt5sql5-sqlite for the above problem. 
  * xenial backport. 
  * Manual merger. 
  * Merge in xenial backport. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:07:11 -0700

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,17 @@
                debhelper (>= 9),
                libjs-jquery,
                libjs-underscore,
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.16~),
                python3-sphinx,
+               qtbase5-dev (>= 5.4),
+               qtchooser,
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/extra-cmake-modules.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any

## extra-cmake-modules 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,28 @@
 # Copyright 2006-2013 Alex Neundorf <neundorf@kde.org>
 # Copyright 2014-2015 Alex Merry <alex.merry@kde.org>
 #
-# Distributed under the OSI-approved BSD License (the "License");
-# see accompanying file COPYING-CMAKE-SCRIPTS for details.
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
 #
-# This software is distributed WITHOUT ANY WARRANTY; without even the
-# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-# See the License for more information.
+# 1. Redistributions of source code must retain the copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. The name of the author may not be used to endorse or promote products
+#    derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #=============================================================================
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -16,7 +32,7 @@
 # Preliminary setup
 #
 
-set(VERSION "5.18.0") # handled by release scripts
+set(VERSION "5.28.0") # handled by release scripts
 
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
@@ -101,7 +117,7 @@
 file(GLOB installKdeModuleFiles ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
 install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})
 
-file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*[^~])
+file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
 install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})
 
 file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])

=== debian/changelog ===
extra-cmake-modules (5.28.0-1) unstable; urgency=medium

  * New upstream release (5.28.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 15:56:00 +0100

extra-cmake-modules (5.27.0-1) unstable; urgency=medium

  * New upstream release (5.27.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:45:31 +0200

extra-cmake-modules (5.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:53:06 +0200

extra-cmake-modules (5.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 10:19:18 +0200

extra-cmake-modules (5.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jul 2016 05:23:27 +0200

extra-cmake-modules (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jun 2016 16:25:43 +0200

extra-cmake-modules (5.22.0-1) unstable; urgency=medium

  * Add new patch: force_relative_paths.diff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 May 2016 10:53:42 +0200

extra-cmake-modules (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * UNRELEASED

 -- Maximiliano Curia <maxy@debian.org>  Sat, 30 Apr 2016 15:31:50 +0200

extra-cmake-modules (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:22 +0100

extra-cmake-modules (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:16 +0100

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               pkg-kde-tools (>= 0.15.16~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/extra-cmake-modules.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

## extra-cmake-modules 5.31.0

=== debian/changelog ===
extra-cmake-modules (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:09 +0000

extra-cmake-modules (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:57 +0000

extra-cmake-modules (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian/master.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:13 +0000

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               libjs-jquery,
               libjs-underscore,
               libqt5sql5-sqlite (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.16~),
               python3-sphinx,
               qtbase5-dev (>= 5.6.1~),
               qtchooser,
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

## extra-cmake-modules 5.37.0

=== debian/changelog ===
extra-cmake-modules (5.37.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert group breaks to Stretch versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Feb 2018 18:33:51 -0800

extra-cmake-modules (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:27 +0200

extra-cmake-modules (5.37.0-1) experimental; urgency=medium

  * New revision
  * New upstream release (5.37.0).
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:41:43 +0200

extra-cmake-modules (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Add python3-sphinx build dependency
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:40:51 +0200

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               pkg-kde-tools (>= 0.15.16~),
               python3-sphinx,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.0
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/extra-cmake-modules.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5plasma-dev (<< 5.28), libkf5runner-dev (<< 5.28)

## extra-cmake-modules 5.38.0a

=== debian/changelog ===
extra-cmake-modules (5.38.0a-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:13:44 +0100

extra-cmake-modules (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:22 +0100

extra-cmake-modules (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:59 +0100

extra-cmake-modules (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:21 +0100

extra-cmake-modules (5.34.0a-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:16 +0100

extra-cmake-modules (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:55 +0100

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               libjs-jquery,
               libjs-underscore,
               libqt5sql5-sqlite (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.16~),
               python3-sphinx,
               qtbase5-dev (>= 5.6.1~),
               qtchooser,
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
